# class ExtraField

###

Module | kdecore
Namespace | KProtocolInfo
Class | ExtraField
Inherits |

Definition of an extra field in the UDS entries, returned by a listDir operation.

The name is the name of the column, translated.

The type name comes from QVariant.typeName() Currently supported types: "QString", "QDateTime" (ISO-8601 format)

### enums

- Type { String, DateTime, Invalid }

enum details

### methods

- ExtraField ( )

  returns ctor

- ExtraField (_name, _type)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _name | QString |
  _type | KProtocolInfo::ExtraField.Type |

### variables

QString name |
Type type |

### enums - detail

- Type { String, DateTime, Invalid }

  | String | - QVariant::String | - |
  | DateTime | - QVariant::DateTime | - |
  | Invalid | - QVariant::Invalid | - |